<?php

namespace App\Modules\LeadBookingServicePassenger\Domain;

use App\Modules\LeadBookingService\Domain\IdLeadBookingService;

interface LeadBookingServicePassengerRepository
{
    public function index(IdLeadBookingServicePassenger $id);
    public function find(IdLeadBookingService $idLeadBookingService, string $action);
    public function insert(LeadBookingServicePassenger $value);
    public function update(LeadBookingServicePassenger $value);
    public function delete(IdLeadBookingServicePassenger $id);
}
